<?xml version="1.0" encoding="GB2312" standalone="no" ?>
<UpgradeTool>

  <!--这个版本升级配置文件，会随着每个版本升级时，需要拷贝的程序的不同而不同-->
  
  	<!-- 数据库升级配置，小于version，则运行script。如果include=1，则等于也运行 -->
	<sql_update start_version="3.0.32.0.8">		
		
		<one_update version="3.0.50.2.8">
			<list>
				<mysql_db  />				
				<data_db script_file_name="DB_UPDATE_NETEMS_V1.1.3.0.SQL"  />
			</list>
		</one_update>
		
		<one_update version="3.0.50.6.5">
			<list>
				<mysql_db  />				
				<data_db script_file_name="DB_UPDATE_NETEMS_V1.1.3.1.SQL"  />
			</list>
		</one_update>

		<one_update version="3.0.52.3.2">
			<list>
				<mysql_db  />				
				<data_db script_file_name="DB_UPDATE_NETEMS_V1.1.3.2.SQL"  />
			</list>
		</one_update>
	</sql_update>
	
 <!--
win_remote_upgrade表示windows可以远程升级，缺省是1.如果为0，必须使用安装包，在设备本身升级 
linux_remote_upgrade表示linux可以远程升级，缺省是1.如果为0，必须使用安装包，在设备本身升级 

win_remote_upgrade="1" linux_remote_upgrade="1"是为了兼容以前的
以后可以不需要了
-->

	<one_update reboot="1" win_remote_upgrade="1" linux_remote_upgrade="1" 
		win32_remote_upgrade="1" linux32_remote_upgrade="1" win64_remote_upgrade="1" linux64_remote_upgrade="1" >
	
		<!-- 支持从以下版本升级到本版本 -->
		<support_version_list>
			<version_range from_version = "3.0.52.1.0" to_version = "THIS_VERSION" />
		</support_version_list>
		
		<!-- 命令分一下几类：删除文件（路径），拷贝文件，解压文件，运行程序 
		
		<del_path delete_self="0" onoff = "1" name="d:/udata" linux="1" windows="1">
		</del_path>
		
		<delete_file onoff="1" name="a.txt">
		</delete_file>	

		<copy_path copy_self="0" onoff = "1" dst_dir="c:/unierm_data" name="d:/udata" linux="0" windows="1">
		</copy_path>
		
		<copy_file onoff = "1" dst_dir="c:/unierm_data" name="a.txt">
		</copy_file>
		
		<unzip onoff="1" dst_dir="c:/unierm_data" name="a.rar">
		</unzip>
		
		<run_cmd onoff="1" name="a.exe">		
		</run_cmd>
		
		-->
		<do_cmd>
			<before_upgrade>
			</before_upgrade>
			
			<befroe_upgrade_file>
			</befroe_upgrade_file>
			
			<after_upgrade_file>
			</after_upgrade_file>
			
	 </do_cmd>
	 		
	</one_update>
    
</UpgradeTool>
